: Create a new deck

API: deckofcardsapi.com:deck-of-cards
Endpoint: /deck/new/
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 226ms

Description

Creates a brand new deck of 52 cards. The deck is not shuffled by default.

Parameters (1)

jokers_enabled (boolean, query, optional)

Whether to include 2 jokers in the deck

Examples (1)

Create a new deck probe-gate
curl 'https://deckofcardsapi.com/api/deck/new/'
import requests

resp = requests.get("https://deckofcardsapi.com/api/deck/new/")
data = resp.json()
import zingu_apis

api = zingu_apis.api("deckofcardsapi")
result = api.fetch("deck/new/")

for item in result:
    print(item)
const resp = await fetch("https://deckofcardsapi.com/api/deck/new/");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:19:33.636989 200 226ms
2026-04-15 00:35:51.104973 200 235ms
2026-04-14 00:06:07.249983 200 738ms
2026-04-12 14:08:21.614001 200 436ms
2026-04-10 04:16:54.738040 200 250ms
2026-04-09 01:33:53.972353 200 248ms
2026-03-27T00:01:20.361710 200 452ms